Subject: [bug#41066] [PATCH] gnu: grub: Support for chain loading.

From: Danny Milosavljevic <[email-masked]>
Date: Sun, 24 May 2020 13:13:16 +0200

I guess it is possible to do it like that--and maybe we even should.

But a collection of packages and accompanying setup is called a profile.

Maybe you'd rather want a bootloader profile instead of a bootloader
package-of-packages.

We do the same for kernel modules--it just creates a profile of all the
kernel module packages using the procedure "profile-derivation" and then
uses a profile hook to configure the whole thing.

See also operating-system-directory-base-entries in gnu/system.scm for
how this is done with kernel modules (the profile-derivation call).

You could do something similar with multiple bootloaders that are chained
together that make some kind of useful whole.

A profile hook could then make sure that this collection of bootloaders
actually makes sense and then chain them together in the right order,
if any.

What do you think?